/***************************************************************************
 *   Copyright (C) 2005 by Emiliano Gulmini   *
 *   emi_barbarossa@yahoo.it   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef CONSTANTSDB_H
#define CONSTANTSDB_H

//Qt headers
class QString;

//KDE headers
class KListView;

/**
 * @short This class is the database of the user defined constants
 * @author Emiliano Gulmini <emi_barbarossa@yahoo.it>
 */
class ConstantsDB
{
  private:
    QString m_constantsDatabasePath;
    KListView* m_constantsListview;
  public:
    ConstantsDB(const QString& dbPath, KListView* list);

    ~ConstantsDB();

    void readFromDatabase();
    void writeToDatabase();
};

#endif
